{% load static %}

<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="keywords" content="">
    <meta name="description" content="">
    <title>

      {% block title %}
      {% endblock title %}

    </title>
    <link href="{% static 'quality/index.css' %}" rel="stylesheet">
    <script src="{% static 'quality/index.js' %}" type="module"></script>

    {% block extrahead %}
    {% endblock extrahead %}

  </head>
  <body>

    {% block nav %}
      <nav class="navbar navbar-expand-lg bg-body-tertiary fixed-top"
           data-bs-theme="dark">
        <div class="container-fluid">
          <a class="navbar-brand" href="{% url 'quality:homepage' %}">Wave QC</a>
          <button class="navbar-toggler"
                  type="button"
                  data-bs-toggle="collapse"
                  data-bs-target="#navbarSupportedContent"
                  aria-controls="navbarSupportedContent"
                  aria-expanded="false"
                  aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
        </div>
      </nav>
    {% endblock nav %}

    {% block main %}
      <main class="container">

        {% block breadcrumbs %}
          <nav aria-label="breadcrumb">
            <ol class="breadcrumb">

              {% block links %}
              {% endblock links %}

            </ol>
          </nav>
        {% endblock breadcrumbs %}

        {% block content %}
        {% endblock content %}

      </main>
    {% endblock main %}

    {% block extrajs %}
    {% endblock extrajs %}

  </body>
</html>
